[Guide] Adding Gui to Server Core - 1.21v

Discussion in 'Windows Server' started by LiteOS, Dec 25, 2017.

  1. xinso

    xinso MDL Guru

    Mar 5, 2009
    4,638
    6,211
    150
    #21 xinso, Jan 1, 2018
    Last edited: Feb 23, 2018
    Have you tried to slim Server 2016 (Desktop Experience)?
     
  2. LiteOS

    LiteOS MDL Expert

    Mar 7, 2014
    1,768
    754
    60
    #22 LiteOS, Jan 1, 2018
    Last edited: Jan 1, 2018
    (OP)
    I believe "Lego" OS > Lite OS or have some potential

    on topic
    shell gui package relate to audio, it install the audio infra, services...
    edit:
    it install all the winsxs
     
  3. xinso

    xinso MDL Guru

    Mar 5, 2009
    4,638
    6,211
    150
    #23 xinso, Jan 6, 2018
    Last edited: Feb 23, 2018
    14393 Server and Core is differently configured.
     
  4. LiteOS

    LiteOS MDL Expert

    Mar 7, 2014
    1,768
    754
    60
  5. OSMAN

    OSMAN MDL Senior Member

    Oct 25, 2009
    381
    37
    10
    is there a guide for this
     
  6. LiteOS

    LiteOS MDL Expert

    Mar 7, 2014
    1,768
    754
    60
  7. eddo2018

    eddo2018 MDL Junior Member

    Jan 6, 2018
    68
    31
    0
    Unless you need a specific server feature like "domain controller" is better to use HyperCore over core. It's way lighter and it's completely free. (it doesn't even ask for a serial during the installation).

    Whatever there are other good alternatives over winxshell, I've used for years sharp enviro, but there are other viable alternatives

    h**ps://en.wikipedia.org/wiki/List_of_alternative_shells_for_Windows
     
  8. sebus

    sebus MDL Guru

    Jul 23, 2008
    6,126
    1,910
    210
    Any idea if it is possible to uninstall Hyper-V from HyperCore?
     
  9. eddo2018

    eddo2018 MDL Junior Member

    Jan 6, 2018
    68
    31
    0

    Just like in any windows... use install wim tweak (online or offline), dism, windows toolkit, MSMG, whatever
     
  10. xinso

    xinso MDL Guru

    Mar 5, 2009
    4,638
    6,211
    150
    #30 xinso, Feb 2, 2018
    Last edited: Feb 23, 2018
    Now I got the gist of your goal.
     
  11. xinso

    xinso MDL Guru

    Mar 5, 2009
    4,638
    6,211
    150
    #31 xinso, Feb 2, 2018
    Last edited: Feb 23, 2018
    [IE]
    Microsoft-Windows-InternetExplorer-Package~31bf3856ad364e35~amd64~~11.0.14393.0.cab
    Microsoft-Windows-InternetExplorer-Package~31bf3856ad364e35~amd64~en-US~11.0.14393.0.cab

    [IE UI]
    Microsoft-Windows-InternetExplorer-Optional-Package~31bf3856ad364e35~amd64~~11.0.14393.0.cab
    Microsoft-Windows-InternetExplorer-Optional-Package~31bf3856ad364e35~amd64~en-US~11.0.14393.0.cab

    [Adobe-Flash-For-Windows]
    Adobe-Flash-For-Windows-onecoreuap-Package~31bf3856ad364e35~amd64~~10.0.14393.0.cab
    Adobe-Flash-For-Windows-Package~31bf3856ad364e35~amd64~~10.0.14393.0.cab
     
  12. xinso

    xinso MDL Guru

    Mar 5, 2009
    4,638
    6,211
    150
    #32 xinso, Feb 2, 2018
    Last edited: Feb 23, 2018
    They are optional.
     
  13. LiteOS

    LiteOS MDL Expert

    Mar 7, 2014
    1,768
    754
    60
    #33 LiteOS, Feb 2, 2018
    Last edited: Feb 2, 2018
    (OP)
    having problem to compress it to cab file, also tried manually
    mb its cos long path

    i tried also to add package the whole folder of sxsextract
    no luck

    Code:
    Processing 1 of 1 - Adding package Microsoft-Windows-Server-Features-Package~31bf3856ad364e35~amd64~~10.0.14393.0
    [==========================100.0%==========================]
    An error occurred - Microsoft-Windows-Server-Features-Package Error: 0x80073701
    
    Error: 14081
    Code:
    Processing 1 of 1 - Adding package Microsoft-Windows-Enterprise-Desktop-Shared-Package~31bf3856ad364e35~amd64~~10.0.14393.0
    [==========================100.0%==========================]
    An error occurred - Microsoft-Windows-Enterprise-Desktop-Shared-Package Error: 0x80070490
    
    Error: 1168

    Code:
    Image Version: 10.0.14393.0
    
    Processing 1 of 4 - Adding package Microsoft-Windows-Enterprise-Desktop-Shared-Package~31bf3856ad364e35~amd64~en-US~10.0.14393.0
    [==========================100.0%==========================]
    Processing 2 of 4 - Adding package Microsoft-Windows-Enterprise-Desktop-Shared-Package~31bf3856ad364e35~amd64~~10.0.14393.0
    [==========================100.0%==========================]
    Processing 3 of 4 - Adding package Microsoft-Windows-ServerShellInfra-Package~31bf3856ad364e35~amd64~~10.0.14393.0
    [==========================100.0%==========================]
    Processing 4 of 4 - Adding package Microsoft-Windows-Server-Features-Package~31bf3856ad364e35~amd64~~10.0.14393.0
    [==========================100.0%==========================]
    
    Error: 0x800f081e
    
    The specified package is not applicable to this image.
    Package Microsoft-Windows-Enterprise-Desktop-Shared-Package may have failed due to pending updates to servicing components in the image. Try the command again.Package Microsoft-Windows-Server-Features-Package may have failed due to pending updates to servicing components in the image. Try the command again.The command completed with errors.
    For more information, refer to the log file.
    
    The DISM log file can be found at C:\Windows\Logs\DISM\dism.log
     
  14. xinso

    xinso MDL Guru

    Mar 5, 2009
    4,638
    6,211
    150
    #34 xinso, Feb 3, 2018
    Last edited: Feb 23, 2018
    It failed due to lack of Parent package.
     
  15. kibkalo

    kibkalo MDL Member

    Sep 8, 2009
    131
    10
    10
    Anyone succeeded with creating a cab file to add GUI shell to server ACore 1709? The 16299.15 build I mean. From client or WinPE.

    Not from the full server like in 14393 - in that case I’d better just mount wim and dism remove everything I don’t need.
     
  16. s1ave77

    s1ave77 Has left at his own request

    Aug 15, 2012
    16,130
    24,224
    340
    @xinso Please use Code or Spoiler tags to avoid endless list and scrolling. Thanks :D.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  17. LiteOS

    LiteOS MDL Expert

    Mar 7, 2014
    1,768
    754
    60
    i tried install the parent packages had the same problem still
    mb its will work only with the last version
     
  18. sebus

    sebus MDL Guru

    Jul 23, 2008
    6,126
    1,910
    210
  19. xinso

    xinso MDL Guru

    Mar 5, 2009
    4,638
    6,211
    150
    That's TP2.
     
  20. sebus

    sebus MDL Guru

    Jul 23, 2008
    6,126
    1,910
    210
    That was for TP2, yes. Then it was removed. Can we (you) add it?

    sebus